[Mesh]
  type = GeneratedMesh
  dim = 2
  nx = 10
  ny = 10
[]

[Variables]
  [v]
  []
[]

[AuxVariables]
  [u]
  []
[]

[Kernels]
  [diff_v]
    type = Diffusion
    variable = v
  []
  [force_v]
    type = CoupledForce
    variable = v
    v = u
  []
[]

[BCs]
  [left_v]
    type = DirichletBC
    variable = v
    boundary = left
    value = 1
  []
  [right_v]
    type = DirichletBC
    variable = v
    boundary = right
    value = 0
  []
[]

[Postprocessors]
  [vnorm]
    type = ElementL2Norm
    variable = v
  []
[]

[Executioner]
  type = Steady
  petsc_options_iname = '-pc_type -pc_hypre_type'
  petsc_options_value = 'hypre boomeramg'
  nl_abs_tol = 1e-14

  fixed_point_algorithm = 'secant'
[]

[Outputs]
  csv = true
  exodus = false
[]
